'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

const index = require('./index-9b9440d2.js');
const mock = require('./mock-8d39a9e5.js');

const sSaqhanSecondPageCss = ".custom-links{cursor:pointer}";

const SSaqhanSecondPage = class {
    constructor(hostRef) {
        index.registerInstance(this, hostRef);
    }
    render() {
        return (index.h("div", null, index.h("s-saqhan-header-app", { menu: mock.menu, subscribeText: mock.subscribeText, logoUrl: mock.logoUrl }), index.h("second-title-block", { onClickOnLink: (event) => this.clickOnLink(event), secondTitle: mock.secondTitle }), index.h("s-saqhan-line-book", { onClickOnLink: (event) => this.clickOnLink(event), banner: mock.banner }), index.h("s-saqhan-quote-text", { quoteText: mock.quoteText }), index.h("s-saqhan-author-info", { onClickOnLink: (event) => this.clickOnLink(event), author: mock.authors }), index.h("s-saqhan-subsc-banner", { subscribeText: mock.subscribeText, subscribeBlockText: mock.subscribeBlockText, onClickOnSubscribeButton: (event) => this.clickOnSubscribeButton(event) }), index.h("s-saqhan-new-blog", { blogPost: mock.blogPost }), index.h("s-saqhan-app-footer", { footerItems: mock.footerItems, footerInfo: mock.footerInfo })));
    }
    /**
     *  Клик по кнопке подписаться
     * */
    clickOnSubscribeButton({ detail }) {
        return console.log(detail);
    }
    /**
     * Клик по кнопке перехода
     * */
    clickOnLink({ detail }) {
        return console.log(detail);
    }
};
SSaqhanSecondPage.style = sSaqhanSecondPageCss;

exports.s_saqhan_second_page = SSaqhanSecondPage;
