import { Component, Event, h, Prop } from '@stencil/core';
export class SSaqhanSubscBanner {
    render() {
        return (h("div", { class: "container" },
            h("div", { class: "row subscribe d-flex justify-content-between align-items-center pt-5 pb-5 text-white" },
                h("div", { class: "col-12 col-lg-6 left" },
                    h("div", { class: "sub-title" },
                        h("h1", null,
                            " ",
                            this.subscribeBlockText.title,
                            " ")),
                    h("div", { class: "subs-sub-title text-muted" },
                        this.subscribeBlockText.subTitle,
                        h("span", { class: "btn-read-sub", onClick: () => this.clickOnSubscribeButton.emit({ place: 'See pricing', item: this.subscribeText }) },
                            h("span", { class: "custom-links" },
                                " ",
                                this.subscribeBlockText.nameLink)))),
                h("div", { class: "col-12 col-lg-6 p-3 right pr-sm-5 text-right" },
                    h("div", { class: "col-12" },
                        h("form", { class: "form", onSubmit: (event) => event.preventDefault() },
                            h("div", { class: "input-group" },
                                h("i", { class: "fas fa-at" }),
                                h("input", { type: "text", class: "form-control rounded", placeholder: "Enter work email" }),
                                h("div", { class: "input-group-append" },
                                    h("button", { onClick: () => this.clickOnSubscribeButton.emit({ place: 'btn-subscribe', item: this.subscribeText }), class: "btn btn-primary btn-custom-head", type: "submit" }, this.subscribeText))))),
                    h("div", { class: "col-12" },
                        h("div", { class: "logos text-center text-muted pt-4" },
                            h("span", { onClick: () => this.clickOnSubscribeButton.emit() },
                                h("i", { class: "far fa-address-book" })),
                            h("span", { onClick: () => this.clickOnSubscribeButton.emit() },
                                h("i", { class: "fas fa-paper-plane" })),
                            h("span", { onClick: () => this.clickOnSubscribeButton.emit() },
                                h("i", { class: "fas fa-envelope" })),
                            h("span", { onClick: () => this.clickOnSubscribeButton.emit() },
                                h("i", { class: "fas fa-map-marked" }))))))));
    }
    static get is() { return "s-saqhan-subsc-banner"; }
    static get originalStyleUrls() { return {
        "$": ["s-saqhan-subsc-banner.css"]
    }; }
    static get styleUrls() { return {
        "$": ["s-saqhan-subsc-banner.css"]
    }; }
    static get properties() { return {
        "subscribeText": {
            "type": "string",
            "mutable": false,
            "complexType": {
                "original": "string",
                "resolved": "string",
                "references": {}
            },
            "required": false,
            "optional": false,
            "docs": {
                "tags": [],
                "text": "\u0442\u0435\u043A\u0441\u0442 \u0432\u044B\u0432\u043E\u0434\u0430 \u0432 \u043A\u043D\u043E\u043F\u043A\u0435 \u043F\u043E\u0434\u043F\u0438\u0441\u0430\u0442\u044C\u0441\u044F"
            },
            "attribute": "subscribe-text",
            "reflect": false
        },
        "subscribeBlockText": {
            "type": "any",
            "mutable": false,
            "complexType": {
                "original": "any",
                "resolved": "any",
                "references": {}
            },
            "required": false,
            "optional": false,
            "docs": {
                "tags": [],
                "text": "\u041C\u0430\u0441\u0441\u0438\u0432 \u0434\u0430\u043D\u043D\u044B\u0445 \u0434\u043B\u044F \u0447\u0435\u0440\u043D\u043E\u0433\u043E \u0431\u0430\u043D\u043D\u0435\u0440\u0430"
            },
            "attribute": "subscribe-block-text",
            "reflect": false
        }
    }; }
    static get events() { return [{
            "method": "clickOnSubscribeButton",
            "name": "clickOnSubscribeButton",
            "bubbles": true,
            "cancelable": true,
            "composed": true,
            "docs": {
                "tags": [],
                "text": "\u043A\u043B\u0438\u043A \u043F\u043E \u043A\u043D\u043E\u043F\u043A\u0435 \u043F\u043E\u0434\u043F\u0438\u0441\u0430\u0442\u044C\u0441\u044F"
            },
            "complexType": {
                "original": "any",
                "resolved": "any",
                "references": {}
            }
        }]; }
}
