import { Component, Event, h, Prop } from '@stencil/core';
export class SSaqhanCardAuthor {
    render() {
        return (h("div", { class: "row sub-auth" },
            h("div", { class: "col" },
                h("div", { class: "author-sub" },
                    h("div", { class: "img custom-links", onClick: () => this.clickOnLink.emit({ place: 'img-author', item: this.author }), style: { backgroundImage: 'url(' + this.author.img + ')' } }),
                    h("div", { class: "author-info custom-links" },
                        h("div", { class: "name", onClick: () => this.clickOnLink.emit({ place: 'name-author', item: this.author }) }, this.author.firstName),
                        h("div", { class: "info" }, this.author.position)))),
            h("div", { class: "col" },
                h("div", { class: "follow" },
                    h("div", null, "Follow me on:"),
                    h("div", { class: "soc-acc" },
                        h("div", { class: "footer-soc" },
                            h("div", { class: "template-demo" },
                                h("button", { type: "button", class: "btn btn-social-icon btn-facebook btn-rounded" },
                                    h("i", { class: "fab fa-facebook-f" })),
                                h("button", { type: "button", class: "btn btn-social-icon btn-instagram btn-rounded" },
                                    h("i", { class: "fab fa-twitter" })))))))));
    }
    static get is() { return "s-saqhan-card-author"; }
    static get originalStyleUrls() { return {
        "$": ["s-saqhan-card-author.css"]
    }; }
    static get styleUrls() { return {
        "$": ["s-saqhan-card-author.css"]
    }; }
    static get properties() { return {
        "author": {
            "type": "any",
            "mutable": false,
            "complexType": {
                "original": "any",
                "resolved": "any",
                "references": {}
            },
            "required": false,
            "optional": false,
            "docs": {
                "tags": [],
                "text": "\u042D\u043B\u0435\u043C\u0435\u043D\u0442\u044B \u043E\u0431 \u0430\u0432\u0442\u043E\u0440\u0435 \u0441\u0442\u0430\u0442\u044C\u0438"
            },
            "attribute": "author",
            "reflect": false
        }
    }; }
    static get events() { return [{
            "method": "clickOnLink",
            "name": "clickOnLink",
            "bubbles": true,
            "cancelable": true,
            "composed": true,
            "docs": {
                "tags": [],
                "text": "\u041A\u043B\u0438\u043A \u043F\u043E \u0430\u0432\u0442\u043E\u0440\u0443 \u0441\u0442\u0430\u0442\u044C\u0438"
            },
            "complexType": {
                "original": "any",
                "resolved": "any",
                "references": {}
            }
        }]; }
}
