import { Component, Event, h, Prop } from "@stencil/core";
export class SSaqhanAuthorInfo {
    getAuthor(arr) {
        return arr.map((item) => item);
    }
    render() {
        return (h("div", { class: "container" },
            h(CardAuthor, { author: this.getAuthor(this.author) })));
    }
    static get is() { return "s-saqhan-author-info"; }
    static get originalStyleUrls() { return {
        "$": ["s-saqhan-author-info.css"]
    }; }
    static get styleUrls() { return {
        "$": ["s-saqhan-author-info.css"]
    }; }
    static get properties() { return {
        "author": {
            "type": "unknown",
            "mutable": false,
            "complexType": {
                "original": "authorItem[]",
                "resolved": "authorItem[]",
                "references": {
                    "authorItem": {
                        "location": "import",
                        "path": "./res/interface/common.interface"
                    }
                }
            },
            "required": false,
            "optional": false,
            "docs": {
                "tags": [],
                "text": "\u042D\u043B\u0435\u043C\u0435\u043D\u0442\u044B \u043E\u0431 \u0430\u0432\u0442\u043E\u0440\u0435 \u0441\u0442\u0430\u0442\u044C\u0438"
            }
        }
    }; }
    static get events() { return [{
            "method": "clickOnLink",
            "name": "clickOnLink",
            "bubbles": true,
            "cancelable": true,
            "composed": true,
            "docs": {
                "tags": [],
                "text": "\u041A\u043B\u0438\u043A \u043F\u043E \u0430\u0432\u0442\u043E\u0440\u0443 \u0441\u0442\u0430\u0442\u044C\u0438"
            },
            "complexType": {
                "original": "any",
                "resolved": "any",
                "references": {}
            }
        }]; }
}
const CardAuthor = (props) => {
    return props.author.map((item) => {
        return (h("div", { class: "content-text" },
            h("hr", null),
            h("s-saqhan-card-author", { author: item })));
    });
};
