import { Component, Event, h, Prop } from '@stencil/core';
export class SSaqhanCardBanner {
    render() {
        return (h("div", { class: "row banner" },
            h("div", { class: "col" }),
            h("div", { class: "col-12 col-sm-5" },
                h("div", { class: "banner-title" },
                    " ",
                    this.bannerPost.title,
                    " "),
                h("div", { class: "banner-sub-title" }, this.bannerPost.subTitle),
                h("div", { class: "btn-read" },
                    h("button", { onClick: () => this.clickOnLink.emit({ place: 'btn', item: this.bannerPost }), class: "btn btn-primary btn-custom-head btn-black-line custom-links" }, this.bannerPost.btnText))),
            h("div", { class: "col-4 right-banner custom-links", onClick: () => this.clickOnLink.emit({ place: 'banner', item: this.bannerPost }) },
                h("img", { src: this.bannerPost.img, alt: "" }))));
    }
    static get is() { return "s-saqhan-card-banner"; }
    static get originalStyleUrls() { return {
        "$": ["s-saqhan-card-banner.css"]
    }; }
    static get styleUrls() { return {
        "$": ["s-saqhan-card-banner.css"]
    }; }
    static get properties() { return {
        "bannerPost": {
            "type": "any",
            "mutable": false,
            "complexType": {
                "original": "any",
                "resolved": "any",
                "references": {}
            },
            "required": false,
            "optional": false,
            "docs": {
                "tags": [],
                "text": "\u043C\u0430\u0441\u0441\u0438\u0432 \u044D\u043B\u0435\u043C\u0435\u043D\u0442\u043E\u0432"
            },
            "attribute": "banner-post",
            "reflect": false
        }
    }; }
    static get events() { return [{
            "method": "clickOnLink",
            "name": "clickOnLink",
            "bubbles": true,
            "cancelable": true,
            "composed": true,
            "docs": {
                "tags": [],
                "text": "\u041A\u043B\u0438\u043A \u043F\u043E \u044D\u043B\u0435\u043C\u0435\u043D\u0442\u0430\u043C"
            },
            "complexType": {
                "original": "any",
                "resolved": "any",
                "references": {}
            }
        }]; }
}
