import { Component, h, Prop, Event, } from "@stencil/core";
export class SSaqhanLineBook {
    /**
     * Функция для получения данных
     * */
    getBanner(arr) {
        return arr.map((item) => item);
    }
    render() {
        return (h("div", null,
            h(Banner, { bannerPost: this.getBanner(this.banner) })));
    }
    static get is() { return "s-saqhan-line-book"; }
    static get originalStyleUrls() { return {
        "$": ["s-saqhan-line-book.css"]
    }; }
    static get styleUrls() { return {
        "$": ["s-saqhan-line-book.css"]
    }; }
    static get properties() { return {
        "banner": {
            "type": "unknown",
            "mutable": false,
            "complexType": {
                "original": "SSaqhanLineBookItem[]",
                "resolved": "SSaqhanLineBookItem[]",
                "references": {
                    "SSaqhanLineBookItem": {
                        "location": "import",
                        "path": "./res/interface/common.interface"
                    }
                }
            },
            "required": false,
            "optional": false,
            "docs": {
                "tags": [],
                "text": "\u041C\u0430\u0441\u0441\u0438\u0432 \u044D\u043B\u0435\u043C\u0435\u043D\u0442\u043E\u0432 \u0434\u043B\u044F \u0431\u0430\u043D\u043D\u0435\u0440\u0430"
            }
        }
    }; }
    static get events() { return [{
            "method": "clickOnLink",
            "name": "clickOnLink",
            "bubbles": true,
            "cancelable": true,
            "composed": true,
            "docs": {
                "tags": [],
                "text": "\u041A\u043B\u0438\u043A \u043F\u043E \u044D\u043B\u0435\u043C\u0435\u043D\u0442\u0430\u043C"
            },
            "complexType": {
                "original": "any",
                "resolved": "any",
                "references": {}
            }
        }]; }
}
/**
 * компонентная функция для разбивки массива
 * */
const Banner = (props) => {
    return props.bannerPost.map((item) => {
        return (h("div", { class: "container" },
            h("s-saqhan-card-banner", { bannerPost: item })));
    });
};
