import { r as registerInstance, c as createEvent, h } from './index-7a106f9f.js';
var sSaqhanAuthorInfoCss = ".content-text{max-width:625px;margin:auto;width:100%;margin-bottom:15px}";
var SSaqhanAuthorInfo = /** @class */ (function () {
    function SSaqhanAuthorInfo(hostRef) {
        registerInstance(this, hostRef);
        this.clickOnLink = createEvent(this, "clickOnLink", 7);
    }
    SSaqhanAuthorInfo.prototype.getAuthor = function (arr) {
        return arr.map(function (item) { return item; });
    };
    SSaqhanAuthorInfo.prototype.render = function () {
        return (h("div", { class: "container" }, h(CardAuthor, { author: this.getAuthor(this.author) })));
    };
    return SSaqhanAuthorInfo;
}());
var CardAuthor = function (props) {
    return props.author.map(function (item) {
        return (h("div", { class: "content-text" }, h("hr", null), h("s-saqhan-card-author", { author: item })));
    });
};
SSaqhanAuthorInfo.style = sSaqhanAuthorInfoCss;
var sSaqhanLineBookCss = ".banner{width:80%;max-height:320px;background-color:#000;padding:50px 20px;margin:80px 0;color:#fff;border-top-right-radius:5px;border-bottom-right-radius:5px}";
var SSaqhanLineBook = /** @class */ (function () {
    function SSaqhanLineBook(hostRef) {
        registerInstance(this, hostRef);
        this.clickOnLink = createEvent(this, "clickOnLink", 7);
    }
    /**
     * Функция для получения данных
     * */
    SSaqhanLineBook.prototype.getBanner = function (arr) {
        return arr.map(function (item) { return item; });
    };
    SSaqhanLineBook.prototype.render = function () {
        return (h("div", null, h(Banner, { bannerPost: this.getBanner(this.banner) })));
    };
    return SSaqhanLineBook;
}());
/**
 * компонентная функция для разбивки массива
 * */
var Banner = function (props) {
    return props.bannerPost.map(function (item) {
        return (h("div", { class: "container" }, h("s-saqhan-card-banner", { bannerPost: item })));
    });
};
SSaqhanLineBook.style = sSaqhanLineBookCss;
var sSaqhanQuoteTextCss = ".quote-text{padding-left:50px;margin:30px 0;padding-left:50px;font-weight:600;border-left:5px solid #000000}";
var SSaqhanQuoteText = /** @class */ (function () {
    function SSaqhanQuoteText(hostRef) {
        registerInstance(this, hostRef);
    }
    SSaqhanQuoteText.prototype.render = function () {
        return (h("div", { class: "container" }, h("div", { class: "row" }, h("div", { class: " col " }, h("div", { class: "quote-text" }, this.quoteText.text)))));
    };
    return SSaqhanQuoteText;
}());
SSaqhanQuoteText.style = sSaqhanQuoteTextCss;
var secondTitleBlockCss = ".title-wrapper{margin:50px 0px}.header-img-title{width:80%;margin:auto;min-height:500px;background-color:red;background-size:cover;background-position:center}.text-title{width:70%;margin:50px auto;text-align:justify}.second-category{color:#0f91e3;font-size:14px;font-weight:500;text-align:center;margin-bottom:30px}.second-title-news{font-size:24px;width:50%;margin:auto;text-align:center;font-weight:700;margin-bottom:30px}.second-title-author{font-size:13px;margin-bottom:30px;text-align:center}.second-title-author .name{font-weight:700}.second-title-author .date{color:#ccc}";
var SecondTitleBlock = /** @class */ (function () {
    function SecondTitleBlock(hostRef) {
        registerInstance(this, hostRef);
        this.clickOnLink = createEvent(this, "clickOnLink", 7);
    }
    SecondTitleBlock.prototype.render = function () {
        var _this = this;
        return (h("div", { class: "container title-wrapper" }, h("div", { class: "row" }, h("div", { class: "col" }, h("div", { class: "second-category custom-links ", onClick: function () { return _this.clickOnLink.emit({ place: 'category', item: _this.secondTitle }); } }, this.secondTitle.category), h("div", { class: "second-title-news custom-links", onClick: function () { return _this.clickOnLink.emit({ place: 'title', item: _this.secondTitle }); } }, this.secondTitle.title), h("div", { class: "second-title-author" }, h("div", { class: "name custom-links", onClick: function () { return _this.clickOnLink.emit({ place: 'name', item: _this.secondTitle }); } }, this.secondTitle.authorName), h("div", { class: "date custom-links", onClick: function () { return _this.clickOnLink.emit({ place: 'date', item: _this.secondTitle }); } }, this.secondTitle.date)))), h("div", { class: "row" }, h("div", { class: "col" }, h("div", { class: "header-img-title custom-links", onClick: function () { return _this.clickOnLink.emit({ place: 'img', item: _this.secondTitle }); }, style: { backgroundImage: "url(" + this.secondTitle.img + ")" } }))), h("div", { class: "row" }, h("div", { class: "col" }, h("div", { class: "text-title" }, this.secondTitle.text)))));
    };
    return SecondTitleBlock;
}());
SecondTitleBlock.style = secondTitleBlockCss;
export { SSaqhanAuthorInfo as s_saqhan_author_info, SSaqhanLineBook as s_saqhan_line_book, SSaqhanQuoteText as s_saqhan_quote_text, SecondTitleBlock as second_title_block };
