import { r as registerInstance, h } from './index-7a106f9f.js';
import { f as footerItems, b as footerInfo, h as blogPost, s as subscribeText, d as subscribeBlockText, n as authors, q as quoteText, o as banner, r as secondTitle, j as menu, l as logoUrl } from './mock-45c9f158.js';
var sSaqhanSecondPageCss = ".custom-links{cursor:pointer}";
var SSaqhanSecondPage = /** @class */ (function () {
    function SSaqhanSecondPage(hostRef) {
        registerInstance(this, hostRef);
    }
    SSaqhanSecondPage.prototype.render = function () {
        var _this = this;
        return (h("div", null, h("s-saqhan-header-app", { menu: menu, subscribeText: subscribeText, logoUrl: logoUrl }), h("second-title-block", { onClickOnLink: function (event) { return _this.clickOnLink(event); }, secondTitle: secondTitle }), h("s-saqhan-line-book", { onClickOnLink: function (event) { return _this.clickOnLink(event); }, banner: banner }), h("s-saqhan-quote-text", { quoteText: quoteText }), h("s-saqhan-author-info", { onClickOnLink: function (event) { return _this.clickOnLink(event); }, author: authors }), h("s-saqhan-subsc-banner", { subscribeText: subscribeText, subscribeBlockText: subscribeBlockText, onClickOnSubscribeButton: function (event) { return _this.clickOnSubscribeButton(event); } }), h("s-saqhan-new-blog", { blogPost: blogPost }), h("s-saqhan-app-footer", { footerItems: footerItems, footerInfo: footerInfo })));
    };
    /**
     *  Клик по кнопке подписаться
     * */
    SSaqhanSecondPage.prototype.clickOnSubscribeButton = function (_a) {
        var detail = _a.detail;
        return console.log(detail);
    };
    /**
     * Клик по кнопке перехода
     * */
    SSaqhanSecondPage.prototype.clickOnLink = function (_a) {
        var detail = _a.detail;
        return console.log(detail);
    };
    return SSaqhanSecondPage;
}());
SSaqhanSecondPage.style = sSaqhanSecondPageCss;
export { SSaqhanSecondPage as s_saqhan_second_page };
