import { ComponentInterface, EventEmitter } from "../../../../stencil-public-runtime";
import { SSaqhanHedearMenuItem } from "./res/interface/common.interface";
import { logoUrl } from "./res/interface/common.interface";
export declare class SSaqhanHeaderApp implements ComponentInterface {
    /**
     * массив меню для вывода
     */
    menu: SSaqhanHedearMenuItem[];
    /**
     * ссылка на изображение логотипа
     */
    logoUrl: logoUrl;
    /**
     * текст вывода в кнопке подписаться
     */
    subscribeText: string;
    /**
     * клик по конкретному меню
     */
    clickOnMenu: EventEmitter<SSaqhanHedearMenuItem>;
    /**
     * клик по кнопке подписаться
     */
    clickOnSubscribeButton: EventEmitter;
    /**
     * клик по лого
     */
    clickToLogo: EventEmitter;
    render(): any;
}
