export declare const blogCarouselMock: {
    id: number;
    title: string;
    subTitle: string;
    img: string;
    category: string;
    btnText: string;
    main: boolean;
    lenta: boolean;
}[];
export declare const blogPost: {
    id: number;
    title: string;
    img: string;
    category: string;
    btnText: string;
}[];
export declare const popularNews: {
    id: number;
    title: string;
    category: string;
    btnText: string;
    img: string;
}[];
export declare const bannerPopular: {
    title: string;
    nameLink: string;
    img: string;
};
export declare const events: {
    id: number;
    title: string;
    category: string;
    btnText: string;
    img: string;
    date: string;
}[];
export declare const banner: {
    id: number;
    title: string;
    subTitle: string;
    btnText: string;
    img: string;
}[];
export declare const quoteText: {
    text: string;
};
export declare const secondTitle: {
    category: string;
    title: string;
    authorName: string;
    date: string;
    img: string;
    text: string;
};
export declare const authors: {
    id: number;
    firstName: string;
    img: string;
    position: string;
    instagram: string;
    vkontacte: string;
}[];
export declare const breadCrumbs: {
    homeLink: string;
    homeUrlLink: string;
    currentLink: string;
    currentUrlLink: string;
    allLink: string;
    allUrlLink: string;
    nameLink: string;
    nameUrlLink: string;
}[];
export declare const NewsStore: {
    id: number;
    title: string;
    subTitle: string;
    img: string;
    author: string;
    date: string;
    btnText: string;
    category: string;
}[];
export declare const menu: {
    id: string;
    name: string;
}[];
export declare const footerItems: {
    title: string;
    links: ({
        name: string;
        id: string;
        links?: undefined;
    } | {
        name: string;
        id: string;
        links: {
            name: string;
            id: string;
        }[];
    })[];
}[];
export declare const footerInfo: {
    title: string;
};
export declare const footerCopyright: {
    title: string;
    description: string;
};
export declare const logoUrl: {
    img: string;
};
export declare const subscribeText = "Subscribe";
export declare const subscribeBlockText: {
    btnText: string;
    title: string;
    subTitle: string;
    nameLink: string;
};
export declare const mainUser: {
    id: number;
    name: string;
    message: string;
    img: string;
    date: string;
}[];
export declare const messages: {
    id: number;
    name: string;
    message: string;
    img: string;
    date: string;
    position: string;
}[];
