import { Component, Event, h, Prop, } from "@stencil/core";
export class FooterFirstItem {
    render() {
        return (h("div", null,
            h("span", { class: "foot-nav-link", onClick: () => this.clickOnMenu.emit({ place: "footerItem", item: this.arr }) }, this.arr.name)));
    }
    static get is() { return "footer-first-item"; }
    static get originalStyleUrls() { return {
        "$": ["footer-first-item.css"]
    }; }
    static get styleUrls() { return {
        "$": ["footer-first-item.css"]
    }; }
    static get properties() { return {
        "arr": {
            "type": "any",
            "mutable": false,
            "complexType": {
                "original": "any",
                "resolved": "any",
                "references": {}
            },
            "required": false,
            "optional": false,
            "docs": {
                "tags": [],
                "text": ""
            },
            "attribute": "arr",
            "reflect": false
        }
    }; }
    static get events() { return [{
            "method": "clickOnMenu",
            "name": "clickOnMenu",
            "bubbles": true,
            "cancelable": true,
            "composed": true,
            "docs": {
                "tags": [],
                "text": ""
            },
            "complexType": {
                "original": "any",
                "resolved": "any",
                "references": {}
            }
        }]; }
}
