import { Component, Event, h, Prop } from '@stencil/core';
export class MenuItem {
    render() {
        return (h("li", { class: "nav-item", onClick: () => this.clickOnMenu.emit(this.arr) },
            h("a", { class: "nav-link header " }, this.arr.name)));
    }
    static get is() { return "menu-item"; }
    static get originalStyleUrls() { return {
        "$": ["menu-item.css"]
    }; }
    static get styleUrls() { return {
        "$": ["menu-item.css"]
    }; }
    static get properties() { return {
        "arr": {
            "type": "any",
            "mutable": false,
            "complexType": {
                "original": "any",
                "resolved": "any",
                "references": {}
            },
            "required": false,
            "optional": false,
            "docs": {
                "tags": [],
                "text": ""
            },
            "attribute": "arr",
            "reflect": false
        }
    }; }
    static get events() { return [{
            "method": "clickOnMenu",
            "name": "clickOnMenu",
            "bubbles": true,
            "cancelable": true,
            "composed": true,
            "docs": {
                "tags": [],
                "text": ""
            },
            "complexType": {
                "original": "any",
                "resolved": "any",
                "references": {}
            }
        }]; }
}
