import { Component, Prop, h, Event } from "@stencil/core";
export class SSaqhanEventsBlog {
    /**
     * Получаем элементы ивентов
     * */
    getEvents(arr) {
        return arr.map((item) => item);
    }
    render() {
        return (h("div", { class: "container" },
            h("div", { class: " pt-5 pb-5" },
                h("div", { class: "col-12" },
                    h("h1", { class: "font-weight-bold block-title" }, "Upcoming events")),
                h("div", { class: "row" },
                    h(EventsPost, { event: this.getEvents(this.events) })))));
    }
    static get is() { return "s-saqhan-events-blog"; }
    static get originalStyleUrls() { return {
        "$": ["s-saqhan-events-blog.css"]
    }; }
    static get styleUrls() { return {
        "$": ["s-saqhan-events-blog.css"]
    }; }
    static get properties() { return {
        "events": {
            "type": "unknown",
            "mutable": false,
            "complexType": {
                "original": "SSaqhanEventCardItem[]",
                "resolved": "SSaqhanEventCardItem[]",
                "references": {
                    "SSaqhanEventCardItem": {
                        "location": "import",
                        "path": "./res/interface/common.interface"
                    }
                }
            },
            "required": false,
            "optional": false,
            "docs": {
                "tags": [],
                "text": "\u041C\u0430\u0441\u0441\u0438\u0432 \u0441 \u043F\u0443\u0431\u043B\u0438\u043A\u0430\u0446\u0438\u044F\u043C\u0438"
            }
        }
    }; }
    static get events() { return [{
            "method": "clickOnNews",
            "name": "clickOnNews",
            "bubbles": true,
            "cancelable": true,
            "composed": true,
            "docs": {
                "tags": [],
                "text": "\u041A\u043B\u0438\u043A \u043F\u043E \u043D\u043E\u0432\u043E\u0441\u0442\u0438"
            },
            "complexType": {
                "original": "any",
                "resolved": "any",
                "references": {}
            }
        }, {
            "method": "clickOnCategoryNews",
            "name": "clickOnCategoryNews",
            "bubbles": true,
            "cancelable": true,
            "composed": true,
            "docs": {
                "tags": [],
                "text": "\u041A\u043B\u0438\u043A \u043F\u043E \u043A\u0430\u0442\u0435\u0433\u043E\u0440\u0438\u0438"
            },
            "complexType": {
                "original": "any",
                "resolved": "any",
                "references": {}
            }
        }]; }
}
/**
 * Компонентная функция для передачи элементов из массива в дочерний компонент
 * */
const EventsPost = (props) => {
    return props.event.map((item) => {
        return (h("div", { class: "col-12 col-md-6 col-lg-4" },
            h("s-saqhan-event-card", { event: item })));
    });
};
