import { Component, h, Prop } from "@stencil/core";
export class SSaqhanQuoteText {
    render() {
        return (h("div", { class: "container" },
            h("div", { class: "row" },
                h("div", { class: " col " },
                    h("div", { class: "quote-text" }, this.quoteText.text)))));
    }
    static get is() { return "s-saqhan-quote-text"; }
    static get originalStyleUrls() { return {
        "$": ["s-saqhan-quote-text.css"]
    }; }
    static get styleUrls() { return {
        "$": ["s-saqhan-quote-text.css"]
    }; }
    static get properties() { return {
        "quoteText": {
            "type": "any",
            "mutable": false,
            "complexType": {
                "original": "any",
                "resolved": "any",
                "references": {}
            },
            "required": false,
            "optional": false,
            "docs": {
                "tags": [],
                "text": ""
            },
            "attribute": "quote-text",
            "reflect": false
        }
    }; }
}
